Debian Bug report logs - #553258
sablotron: missing-dependency-on-libc needed by ./usr/bin/sabcmd but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.

version graph

Package: sablotron; Maintainer for sablotron is (unknown);

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Thu, 29 Oct 2009 19:57:08 UTC

Severity: serious

Tags: patch

Found in version sablotron/1.0.3-1

Fixed in version sablotron/1.0.3-1.1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#553258; Package sablotron. (Thu, 29 Oct 2009 19:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Ondřej Surý <ondrej@debian.org>. (Thu, 29 Oct 2009 19:57:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sablotron: missing-dependency-on-libc needed by ./usr/bin/sabcmd but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.
Date: Thu, 29 Oct 2009 14:17:00 -0500
Package: sablotron
Version: 1.0.3-1
Severity: serious
Justification: The listed file appears to be linked against the C library,
User: lintian-maint@debian.org
Usertags: missing-dependency-on-libc

All shared libraries and compiled binaries must be run through dpkg-shlibdeps to
find out any libraries they are linked against (often via the dh_shlibdeps
debhelper command). The package containing these files must then depend on
${shlibs:Depends} in debian/control to get the proper package dependencies for
those libraries.

Refer to Debian Policy Manual section 8.6 (Dependencies between the library and
other packages - the shlibs system) for details.

,----[ 8.6 Dependencies between the library and other packages - the shlibs system ]
| If a package contains a binary or library which links to a shared library, we
| must ensure that when the package is installed on the system, all of the
| libraries needed are also installed. This requirement led to the creation of the
| shlibs system, which is very simple in its design: any package which provides a
| shared library also provides information on the package dependencies required to
| ensure the presence of this library, and any package which uses a shared library
| uses this information to determine the dependencies it requires. The files which
| contain the mapping from shared libraries to the necessary dependency
| information are called shlibs files.
| 
| Thus, when a package is built which contains any shared libraries, it must
| provide a shlibs file for other packages to use, and when a package is built
| which contains any shared libraries or compiled binaries, it must run
| dpkg-shlibdeps on these to determine the libraries used and hence the
| dependencies needed by this package.
`----

,----[ 8.6.2 How to use dpkg-shlibdeps and the shlibs files ]
| Put a call to dpkg-shlibdeps into your debian/rules file. If your package
| contains only compiled binaries and libraries (but no scripts), you can use a
| command such as:
| 
|      dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/sbin/* \
|        debian/tmp/usr/lib/*
| 
| Otherwise, you will need to explicitly list the compiled binaries and
| libraries.[53]
| 
| This command puts the dependency information into the debian/substvars file,
| which is then used by dpkg-gencontrol. You will need to place a
| ${shlibs:Depends} variable in the Depends field in the control file for this to
| work.
`----

        manoj


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sablotron depends on:
ii  libsablot0                    1.0.3-1    an XSL processor fully implemented

sablotron recommends no packages.

sablotron suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#553258; Package sablotron. (Fri, 27 Nov 2009 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Fri, 27 Nov 2009 20:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 553258@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 553258@bugs.debian.org
Subject: NMU interdiff (was: Re: sablotron: missing-dependency-on-libc)
Date: Fri, 27 Nov 2009 21:26:43 +0100
tags 553258 +patch +pending
thanks

Hi,

I am shortly going to upload an NMU fixing this bug with the attached
interdiff.


cheers,

Michael




Added tag(s) patch. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Fri, 27 Nov 2009 20:33:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Fri, 27 Nov 2009 20:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#553258; Package sablotron. (Fri, 27 Nov 2009 23:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Fri, 27 Nov 2009 23:27:06 GMT) Full text and rfc822 format available.

Message #19 received at 553258@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 553258@bugs.debian.org
Subject: Re: NMU interdiff (was: Re: sablotron: missing-dependency-on-libc)
Date: Sat, 28 Nov 2009 00:22:16 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 27, 2009 at 09:26:43PM +0100, Michael Banck wrote:
> I am shortly going to upload an NMU fixing this bug with the attached
> interdiff.

Eh, attached now.


Michael
[interdiff (text/plain, attachment)]

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 10:06:17 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 10:06:17 GMT) Full text and rfc822 format available.

Message #24 received at 553258-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 553258-close@bugs.debian.org
Subject: Bug#553258: fixed in sablotron 1.0.3-1.1
Date: Sun, 29 Nov 2009 10:02:20 +0000
Source: sablotron
Source-Version: 1.0.3-1.1

We believe that the bug you reported is fixed in the latest version of
sablotron, which is due to be installed in the Debian FTP archive:

libsablot-doc_1.0.3-1.1_all.deb
  to main/s/sablotron/libsablot-doc_1.0.3-1.1_all.deb
libsablot0-dev_1.0.3-1.1_i386.deb
  to main/s/sablotron/libsablot0-dev_1.0.3-1.1_i386.deb
libsablot0_1.0.3-1.1_i386.deb
  to main/s/sablotron/libsablot0_1.0.3-1.1_i386.deb
sablotron_1.0.3-1.1.diff.gz
  to main/s/sablotron/sablotron_1.0.3-1.1.diff.gz
sablotron_1.0.3-1.1.dsc
  to main/s/sablotron/sablotron_1.0.3-1.1.dsc
sablotron_1.0.3-1.1_i386.deb
  to main/s/sablotron/sablotron_1.0.3-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553258@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated sablotron package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Nov 2009 10:55:42 +0100
Source: sablotron
Binary: sablotron libsablot0-dev libsablot0 libsablot-doc
Architecture: source all i386
Version: 1.0.3-1.1
Distribution: unstable
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 libsablot-doc - an XSL processor fully implemented in C++
 libsablot0 - an XSL processor fully implemented in C++
 libsablot0-dev - an XSL processor fully implemented in C++ [development]
 sablotron  - an XSL processor fully implemented in C++
Closes: 553258
Changes: 
 sablotron (1.0.3-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/rules: Add ${shlibs:Depends} to sablotron's Depends (Closes:
     #553258).
Checksums-Sha1: 
 fa08c408633b5b8397c5c2fe1715fd413b1baf6d 1107 sablotron_1.0.3-1.1.dsc
 c895077426d12ba5ec99b613e5828b52d37c87a3 213845 sablotron_1.0.3-1.1.diff.gz
 b6e25a5f2665d87e3590336ae0b03acbf9637de3 102070 libsablot-doc_1.0.3-1.1_all.deb
 12f1e87f044e17c9266467fa8fb4738db98df93f 15604 sablotron_1.0.3-1.1_i386.deb
 5bd0b558109daf09810df2809b906117b1839358 465574 libsablot0-dev_1.0.3-1.1_i386.deb
 d83f209c17453a17636bd266f82339a1c28094d8 348254 libsablot0_1.0.3-1.1_i386.deb
Checksums-Sha256: 
 aac0caab8d9e7231051ff12aab1874830d32d3a8573c002b9774403584c16d3c 1107 sablotron_1.0.3-1.1.dsc
 c51fa944036a7248129806dcb09163ebaf4970d03be8ac2d3dd4dca647213e0b 213845 sablotron_1.0.3-1.1.diff.gz
 c93f9fd0f8ded07d4b87bf01c04cdea46c91580eb6d58710304051654830f152 102070 libsablot-doc_1.0.3-1.1_all.deb
 11fc5eb6e61c90edc23326894f7d51411045119a269420af785b331a74da615d 15604 sablotron_1.0.3-1.1_i386.deb
 2063d63584cb472cf683553f93aff470624e56dc0b75c86022ba167d779da69d 465574 libsablot0-dev_1.0.3-1.1_i386.deb
 aeee85c313c4046a0d9f98783bf4e3d44bbe870099a7f9e286302759f5e0a313 348254 libsablot0_1.0.3-1.1_i386.deb
Files: 
 bee4f44e548f31d461d32a9c55f2b330 1107 - optional sablotron_1.0.3-1.1.dsc
 359a5383df96248357181e2342d5474b 213845 - optional sablotron_1.0.3-1.1.diff.gz
 3afb99fd685a3953b629a5b79e07ffe1 102070 doc optional libsablot-doc_1.0.3-1.1_all.deb
 8bf389eba89292613cec554e0fff93dd 15604 text optional sablotron_1.0.3-1.1_i386.deb
 8fefc8d36ed9547968659c0b3858af5d 465574 libdevel optional libsablot0-dev_1.0.3-1.1_i386.deb
 2e821721257a68eb574f0c2988a80681 348254 libs optional libsablot0_1.0.3-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEkZsmHaJYZ7RAb8RA1JOAJwJMKim952ADqdfL0jgQVWf3yEQYACghtXU
1iQ8TEFdF2oS/ip2vrR2nBg=
=JLpH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:15:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:20:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.